<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
    <head> 
        <title>Login Mufish</title> 
        <meta name="viewport" content="width=device-width">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
        <link rel="stylesheet" href="/css/login.css"/>
    <!-- Matomo -->
    <script>
        var _paq = window._paq = window._paq || [];
        /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
        _paq.push(['trackPageView']);
        _paq.push(['enableLinkTracking']);
        (function() {
        var u="//matomomufish.duckdns.org/";
        _paq.push(['setTrackerUrl', u+'matomo.php']);
        _paq.push(['setSiteId', '1']);
        var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
        g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
        })();
    </script>
    </head>
    <body>
        <div id="notif" th:switch="${session.notification}">
            <th:block th:case="NO"></th:block>
            <th:block th:case="*">
                <th:block th:switch="${session.notificationType}">
                    <div th:case="alert">
                        <div class="alert alert-danger" role="alert">
                            <p th:text="${session.notification} + '!'"></p> 
                        </div>
                    </div>
                    <div th:case="*">
                        <div class="alert alert-success" role="alert">
                            <p th:text="${session.notification} + '!'"></p> 
                        </div>
                    </div>
                </th:block>
            </th:block>
        </div>

        <div class="language">
            <div th:replace="fragments/header.html :: language"></div>
        </div>
        
        <div class="cont">
            <h2>LOGIN</h2>
            <form action="/loginUser">
                <label id="username">
                    <span>Username:</span>
                    <input type="text" name="username" class="form-control" id="formGroupExampleInput" placeholder="Username" required>
                </label>
                <br>
                <label id="password">
                    <span>Password:</span>
                    <input type="password" name="password" class="form-control" id="formGroupExampleInput2" placeholder="Password" required>
                </label>
                <br>
                <p>Are you not registered?<a href="/signup"> Sign up</a></p>
                <button id="enterButton" type="submit" class="button">Enter</button>
            </form>
        </div>
    </body>
</html>